package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.semant.*;

public class ASTypeInfo {

    public ASTypeInfo() {
    }

    public ASType getASType() {
	return m_atype;
    }

    public void setASType(ASType type) {
	m_atype = type;
    }

    public Ty getSemantType() {
	return m_type;
    }

    public void setSemantType(Ty type) {
	m_type = type;
    }

    protected Ty m_type;
    protected ASType m_atype;
}